Tool: search_access_policy_bindings
Returns all policy bindings that bind a specific Unified Access Policy, provided the caller has searchPolicyBindings permission on that policy. Only supports Unified Access Policy bindings that are parented by a project.
Use this tool to discover which bindings reference a specific Unified Access policy.
This tool requires the following parameters:
name(string): The resource name of the Unified Access Policy to search bindings for. Only projects are supported. The format isprojects/PROJECT_ID/locations/LOCATION/accessPolicies/POLICY_ID.
The following parameters are optional:
page_size(int32): The maximum number of policy bindings to return.page_token(string): Pagination token from a previous search request.
This tool returns a list of Unified Access Policy binding objects referencing the specified access policy along with an optional next page token.
The following code sample shows how to use curl to call the search_access_policy_bindings MCP tool.
| Curl Request |
|---|
curl --location 'https://iam.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "search_access_policy_bindings", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for SearchAccessPolicyBindings rpc.
SearchAccessPolicyBindingsRequest
| JSON representation |
|---|
{ "name": string, "pageSize": integer, "pageToken": string } |
| Fields | |
|---|---|
name |
Required. The name of the Unified Access Policy. Format: * |
pageSize |
Optional. The maximum number of Unified Access Policy bindings to return. The service might return a smaller number of bindings. If unspecified, at most 50 bindings are returned. The maximum value is 1000; values above 1000 are reduced to 1000. |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
Output Schema
Response message for SearchAccessPolicyBindings rpc.
SearchAccessPolicyBindingsResponse
| JSON representation |
|---|
{
"policyBindings": [
{
object ( |
| Fields | |
|---|---|
policyBindings[] |
The bindings that reference the specified Unified Access Policy. |
nextPageToken |
Optional. A token, which can be sent as |
PolicyBinding
| JSON representation |
|---|
{ "name": string, "uid": string, "etag": string, "displayName": string, "annotations": { string: string, ... }, "target": { object ( |
| Fields | |
|---|---|
name |
Identifier. The name of the policy binding, in the format Format:
|
uid |
Output only. The globally unique ID of the policy binding. Assigned when the policy binding is created. |
etag |
Optional. The etag for the policy binding. If this is provided on update, it must match the server's etag. |
displayName |
Optional. The description of the policy binding. Must be less than or equal to 63 characters. |
annotations |
Optional. User-defined annotations. See https://google.aip.dev/148#annotations for more details such as format and size limitations An object containing a list of |
target |
Required. Immutable. The full resource name of the resource to which the policy will be bound. Immutable once set. |
policyKind |
Immutable. The kind of the policy to attach in this binding. This field must be one of the following:
|
policy |
Required. Immutable. The resource name of the policy to be bound. The binding parent and policy must belong to the same organization. |
policyUid |
Output only. The globally unique ID of the policy to be bound. |
condition |
Optional. The condition to apply to the policy binding. When set, the The condition is currently only supported when bound to policies of kind principal access boundary. When the bound policy is a principal access boundary policy, the only supported attributes in any subexpression are Allowed operations for
Allowed operations for
Supported principal types are workspace, workforce pool, workload pool, service account, and agent identity. Allowed string must be one of:
|
createTime |
Output only. The time when the policy binding was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
updateTime |
Output only. The time when the policy binding was most recently updated. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
AnnotationsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
Target
| JSON representation |
|---|
{ // Union field |
| Fields | |
|---|---|
Union field target. The different types of targets that can be bound to a policy. target can be only one of the following: |
|
principalSet |
Immutable. The full resource name that's used for principal access boundary policy bindings. The principal set must be directly parented by the policy binding's parent or same as the parent if the target is a project, folder, or organization. Examples:
|
resource |
Immutable. The full resource name that's used for Unified Access Policy bindings. Examples:
|
Expr
| JSON representation |
|---|
{ "expression": string, "title": string, "description": string, "location": string } |
| Fields | |
|---|---|
expression |
Textual representation of an expression in Common Expression Language syntax. |
title |
Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression. |
description |
Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI. |
location |
Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
PolicyKind
The different policy kinds supported in this binding.
| Enums | |
|---|---|
POLICY_KIND_UNSPECIFIED |
Unspecified policy kind; Not a valid state |
PRINCIPAL_ACCESS_BOUNDARY |
Principal access boundary policy kind |
ACCESS |
Unified Access Policy kind. |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌